VTK: QQuickVTKInteractorAdapter Class Reference

| VTK 9.3.1

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
QQuickVTKInteractorAdapter Class Reference

Intermediate class that handles relaying Qt events to VTK. More...

`#include <QQuickVTKInteractorAdapter.h>`

Inheritance diagram for QQuickVTKInteractorAdapter:
[legend]
Collaboration diagram for QQuickVTKInteractorAdapter:
[legend]

## Public Member Functions
| QQuickVTKInteractorAdapter (QObject *parent=nullptr)
void | setQQuickWindow (QQuickWindow *win)
void | QueueHoverEvent (QQuickItem *item, QHoverEvent *e)
void | QueueKeyEvent (QQuickItem *item, QKeyEvent *e)
void | QueueFocusEvent (QQuickItem *item, QFocusEvent *e)
void | QueueMouseEvent (QQuickItem *item, QMouseEvent *e)
void | QueueGeometryChanged (const QRectF &newGeometry, const QRectF &oldGeometry)
void | QueueWheelEvent (QQuickItem *item, QWheelEvent *e)
void | ProcessEvents (vtkRenderWindowInteractor *interactor)
Public Member Functions inherited from QVTKInteractorAdapter
| QVTKInteractorAdapter (QObject *parent=nullptr)
| ~QVTKInteractorAdapter () override
void | SetDevicePixelRatio (float ratio, vtkRenderWindowInteractor *iren=nullptr)
float | GetDevicePixelRatio ()
bool | ProcessEvent (QEvent *e, vtkRenderWindowInteractor *iren)

## Static Public Member Functions
static QPointF | mapEventPosition (QQuickItem *item, const QPointF &localPos)
static QPointF | mapEventPositionFlipY (QQuickItem *item, const QPointF &localPos)

## Protected Member Functions
void | QueueEvent (QEvent *e)

## Additional Inherited Members
Protected Attributes inherited from QVTKInteractorAdapter
int | AccumulatedDelta
float | DevicePixelRatio
Static Protected Attributes inherited from QVTKInteractorAdapter
static const double | DevicePixelRatioTolerance

## Detailed Description

Intermediate class that handles relaying Qt events to VTK.

Definition at line 35 of file QQuickVTKInteractorAdapter.h.

## Constructor & Destructor Documentation

## ◆ QQuickVTKInteractorAdapter()

QQuickVTKInteractorAdapter::QQuickVTKInteractorAdapter | ( | QObject * | parent = `nullptr` | ) |

## Member Function Documentation

## ◆ setQQuickWindow()

void QQuickVTKInteractorAdapter::setQQuickWindow | ( | QQuickWindow * | win | ) |

## ◆ QueueHoverEvent()

void QQuickVTKInteractorAdapter::QueueHoverEvent | ( | QQuickItem * | item,
|  | QHoverEvent * | e
| ) |  |

## ◆ QueueKeyEvent()

void QQuickVTKInteractorAdapter::QueueKeyEvent | ( | QQuickItem * | item,
|  | QKeyEvent * | e
| ) |  |

## ◆ QueueFocusEvent()

void QQuickVTKInteractorAdapter::QueueFocusEvent | ( | QQuickItem * | item,
|  | QFocusEvent * | e
| ) |  |

## ◆ QueueMouseEvent()

void QQuickVTKInteractorAdapter::QueueMouseEvent | ( | QQuickItem * | item,
|  | QMouseEvent * | e
| ) |  |

## ◆ QueueGeometryChanged()

void QQuickVTKInteractorAdapter::QueueGeometryChanged | ( | const QRectF & | newGeometry,
|  | const QRectF & | oldGeometry
| ) |  |

## ◆ QueueWheelEvent()

void QQuickVTKInteractorAdapter::QueueWheelEvent | ( | QQuickItem * | item,
|  | QWheelEvent * | e
| ) |  |

## ◆ ProcessEvents()

void QQuickVTKInteractorAdapter::ProcessEvents | ( | vtkRenderWindowInteractor * | interactor | ) |

## ◆ mapEventPosition()

static QPointF QQuickVTKInteractorAdapter::mapEventPosition | ( | QQuickItem * | item,
|  | const QPointF & | localPos
| ) |  |
| static

## ◆ mapEventPositionFlipY()

static QPointF QQuickVTKInteractorAdapter::mapEventPositionFlipY | ( | QQuickItem * | item,
|  | const QPointF & | localPos
| ) |  |
| static

## ◆ QueueEvent()

void QQuickVTKInteractorAdapter::QueueEvent | ( | QEvent * | e | ) |
| protected

The documentation for this class was generated from the following file:

- GUISupport/QtQuick/QQuickVTKInteractorAdapter.h